DirectoryIterator::getCTime
DirectoryIterator::getFilename
DirectoryIterator
PHP Manual

# DirectoryIterator::getExtension

(PHP 5 >= 5.3.6)

DirectoryIterator::getExtension — Gets the file extension

### Description

public string DirectoryIterator::getExtension ( void )

Retrieves the file extension.

### Parameters

This function has no parameters.

### Return Values

Returns a string containing the file extension, or an empty string if the file has no extension.

### Examples

Example #1 DirectoryIterator::getExtension() example

`<?php
$directory = new DirectoryIterator(__DIR__);
foreach ($directory as $fileinfo) {
if ($fileinfo->isFile()) {
echo $fileinfo->getExtension() . "\n";
}
}
?>`

The above example will output something similar to:

    php
    txt
    jpg
    gz

### Notes

> Note:

> This method is only available as of PHP 5.3.6. Another way of getting the extension is to use the pathinfo() function.

> `<?php
> $extension = pathinfo($fileinfo->getFilename(), PATHINFO_EXTENSION);
> ?>`

### See Also

- DirectoryIterator::getFilename() - Return file name of current DirectoryIterator item.
- DirectoryIterator::getBasename() - Get base name of current DirectoryIterator item.
- pathinfo() - Returns information about a file path

DirectoryIterator::getCTime
DirectoryIterator::getFilename
DirectoryIterator
PHP Manual